require "rubygems"
require "sinatra"

# The admin is accessible via "/god_mode" by default. Change it to your needs.
secret_entrance = 'god_mode'

# How many charts?
charts = 16

# Do not change anything below this line.

helpers do

  def h(html)
    html.gsub(/</, '&lt;').gsub(/>/, '&gt;').gsub(/"/, '&quot;')
  end

end

before do
  $chart ||= 1
  @charts = charts
end

get '/' do
  erb :index
end

get "/#{secret_entrance}" do
  @admin = true
  
  erb :index
end

put '/' do
  $chart = params[:chart].to_i if params[:chart]
  
  erb :charts
end