var Application = {
	
	init: function(){
	  
	  if ($('chart')) Application.initCharts();
	  
	  if ($('admin')) Application.initAdmin();
	  
	},

	initCharts: function(){
	  var interval = function(){
	    var request = new Request.HTML({
	      url: '/',
	      evalScripts: true,
	      update: $('chart')
	    }).send('_method=put');
	  }
	  
	  interval.periodical(3000);
	},
	
	initAdmin: function(){
	  $('charts').addEvent('change', function(){
	    $('charts').set('disabled', true);
	    
	    var request = new Request.HTML({
	      url: '/',
	      method: 'post',
	      update: $('chart'),
	      onComplete: function(){
	        $('charts').set('disabled', false);
	      }
	    }).send("_method=put&chart=" + $('charts').get('value'));
	  });
	}
	
}

window.addEvent('domready', Application.init);